Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1604310 - hardening-wrapper: FTBFS in Fedora rawhide
Summary: hardening-wrapper: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hardening-wrapper
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 22:03 UTC by Mohan Boddu
Modified: 2019-03-06 15:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-23 02:06:41 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 22:03 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 22:03 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 22:03 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 22:03:29 UTC
hardening-wrapper failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28187768


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix hardening-wrapper at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
hardening-wrapper will be orphaned. Before branching of Fedora 30,
hardening-wrapper will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 22:03:41 UTC
Created attachment 1462823 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 22:03:45 UTC
Created attachment 1462824 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 22:03:48 UTC
Created attachment 1462825 [details]
state.log

Comment 4 Igor Gnatenko 2018-07-23 10:45:23 UTC
Matches:
/bin/sh: cc: command not found

Suggested fix:
BuildRequires:  gcc

Comment 5 Jan Kurik 2018-08-14 09:34:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Björn 'besser82' Esser 2019-02-11 21:31:50 UTC
Package will be obsoleted by devscripts package.

Comment 7 Fedora Update System 2019-02-11 21:44:58 UTC
devscripts-2.19.2-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-30eb77ed8d

Comment 8 Fedora Update System 2019-02-11 21:45:05 UTC
devscripts-2.19.2-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7990f2a050

Comment 9 Fedora Update System 2019-02-12 02:06:43 UTC
devscripts-2.19.2-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7990f2a050

Comment 10 Fedora Update System 2019-02-12 02:50:24 UTC
devscripts-2.19.2-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-30eb77ed8d

Comment 11 Fedora Update System 2019-02-23 02:06:41 UTC
devscripts-2.19.2-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-02-25 17:24:02 UTC
devscripts-2.19.2-3.fc28 perl-GitLab-API-v4-0.17-1.fc28 perl-HTTP-Tiny-Multipart-0.08-1.fc28 perl-IO-Prompter-0.004015-1.fc28 perl-Log-Any-Adapter-Screen-0.140-1.fc28 perl-Log-Any-Adapter-TAP-0.003003-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7990f2a050

Comment 13 Fedora Update System 2019-02-25 17:25:59 UTC
devscripts-2.19.2-3.fc28 perl-GitLab-API-v4-0.17-1.fc28 perl-HTTP-Tiny-Multipart-0.08-1.fc28 perl-IO-Prompter-0.004015-1.fc28 perl-Log-Any-Adapter-Screen-0.140-1.fc28 perl-Log-Any-Adapter-TAP-0.003003-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7990f2a050

Comment 14 Fedora Update System 2019-02-26 02:11:51 UTC
devscripts-2.19.2-3.fc28, perl-GitLab-API-v4-0.17-1.fc28, perl-HTTP-Tiny-Multipart-0.08-1.fc28, perl-IO-Prompter-0.004015-1.fc28, perl-Log-Any-Adapter-Screen-0.140-1.fc28, perl-Log-Any-Adapter-TAP-0.003003-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7990f2a050

Comment 15 Fedora Update System 2019-03-06 15:27:40 UTC
devscripts-2.19.2-3.fc28, perl-GitLab-API-v4-0.17-1.fc28, perl-HTTP-Tiny-Multipart-0.08-1.fc28, perl-IO-Prompter-0.004015-1.fc28, perl-Log-Any-Adapter-Screen-0.140-1.fc28, perl-Log-Any-Adapter-TAP-0.003003-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.